<?php

add_filter( 'xtender_ips_array', 'theatre_wp_ips_background', 20, 1 );

function theatre_wp_ips_background( $options ){

  $options[] = array(
  	'id'	=> 'bg_tab',
  	'type'	=> 'tab',
  	'name'	=> esc_html__( 'Background', 'theatre-wp' )
  );
  $options[] = array(
  	'id'	=> 'color_bg',
  	'type'	=> 'color',
  	'tab'	=> 'bg_tab',
  	'name'	=> esc_html__( 'Background Color', 'theatre-wp' )
  );
  $options[] = array(
  	'id'	=> 'background_image',
  	'type'	=> 'image',
  	'tab'	=> 'bg_tab',
  	'name'	=> esc_html__( 'Background Image', 'theatre-wp' )
  );
  $options[] = array(
  	'id'	=> 'background_position_x',
  	'type'	=> 'radio',
  	'tab'	=> 'bg_tab',
  	'name'	=> esc_html__( 'Background Position', 'theatre-wp' ),
  	'choices' 	=> array(
          'inherit'	=> esc_html__( 'Inherit', 'theatre-wp' ),
  		'left'	=> esc_html__( 'Left', 'theatre-wp' ),
  		'center' => esc_html__( 'Center', 'theatre-wp' ),
  		'right'	=> esc_html__( 'Right', 'theatre-wp' )
  	),
      'default' => 'inherit'
  );
  $options[] = array(
  	'id'	=> 'background_repeat',
  	'type'	=> 'radio',
  	'tab'	=> 'bg_tab',
  	'name'	=> esc_html__( 'Background Repeat', 'theatre-wp' ),
  	'choices' 	=> array(
          'inherit'	=> esc_html__( 'Inherit', 'theatre-wp' ),
  		'repeat'	=> esc_html__( 'Tile', 'theatre-wp' ),
  		'no-repeat'	=> esc_html__( 'No Repeat', 'theatre-wp' ),
  		'repeat-y'	=> esc_html__( 'Tile Vertically', 'theatre-wp' ),
  		'repeat-x'	=> esc_html__( 'Tile Horizontally', 'theatre-wp' )
  	),
      'default' => 'inherit'
  );
  $options[] = array(
  	'id'	=> 'background_size',
  	'type'	=> 'radio',
  	'tab'	=> 'bg_tab',
  	'name'	=> esc_html__( 'Background Size', 'theatre-wp' ),
  	'choices' 	=> array(
          'inherit'	=> esc_html__( 'Inherit', 'theatre-wp' ),
  		'auto'	=> esc_html__( 'Auto', 'theatre-wp' ),
  		'cover'	=> esc_html__( 'Cover', 'theatre-wp' )

  	),
      'default' => 'inherit'
  );
  $options[] = array(
  	'id'	=> 'background_attachment',
  	'type'	=> 'radio',
  	'tab'	=> 'bg_tab',
  	'name'	=> esc_html__( 'Background Attachment', 'theatre-wp' ),
  	'choices' 	=> array(
          'inherit'	=> esc_html__( 'Inherit', 'theatre-wp' ),
          'scroll'	=> esc_html__( 'Scroll', 'theatre-wp' ),
          'fixed'	=> esc_html__( 'Fixed', 'theatre-wp' )
  	),
      'default' => 'inherit'
  );

  return $options;

}

?>
