<?php

add_filter( 'xtender_ips_array', 'theatre_wp_ips_header', 10, 1 );

function theatre_wp_ips_header( $options ){

  $revsliders = TheatreWpHelpers::get_sliders_array( esc_html__( 'Inherit Global Slider', 'theatre-wp' ), esc_html__( 'Disable Header Slider', 'theatre-wp' ) );

  $options[] = array(
  	'id'	=> 'header_image_tab',
  	'type'	=> 'tab',
  	'name'	=> esc_html__( 'Header Image', 'theatre-wp' )
  );

  $options[] = array(
  	'id'	=> 'header_image',
  	'type'	=> 'image',
  	'tab'	=> 'header_image_tab',
  	'name'	=> esc_html__( 'Header Image', 'theatre-wp' )
  );
  $options[] = array(
  	'id'	=> 'header_height',
  	'type'	=> 'slider',
  	'tab'	=> 'header_image_tab',
  	'name'	=> esc_html__( 'Header Height', 'theatre-wp' ),
  	'desc'	=> esc_html__( 'Set header height in vh (virtual height) units. For example, 30 vh will make your header stretch on 30% of the screen.', 'theatre-wp' ),
  	'atts'	=> array(
  		'step' => 10,
  		'min' => 0,
  		'max' => 1080,
  		'suf' => 'px'
  	),
  	'default' => esc_attr( get_theme_mod( 'header_height', 540 ) )
  );

  $options[] = array(
  	'id'	=> 'header_image_repeat',
  	'type'	=> 'radio',
  	'tab'	=> 'header_image_tab',
  	'name'	=> esc_html__( 'Image Repeat', 'theatre-wp' ),
  	'choices' 	=> array(
      'inherit'	=> esc_html__( 'Inherit', 'theatre-wp' ),
  		'repeat'	=> esc_html__( 'Tile', 'theatre-wp' ),
  		'no-repeat'	=> esc_html__( 'No Repeat', 'theatre-wp' ),
  		'repeat-y'	=> esc_html__( 'Tile Vertically', 'theatre-wp' ),
  		'repeat-x'	=> esc_html__( 'Tile Horizontally', 'theatre-wp' )
  	),
    'default' => 'inherit'
  );
  $options[] = array(
  	'id'	=> 'header_image_alignment',
  	'type'	=> 'radio',
  	'tab'	=> 'header_image_tab',
  	'name'	=> esc_html__( 'Image Alignment', 'theatre-wp' ),
  	'choices' 	=> array(
      'inherit'	=> esc_html__( 'Inherit', 'theatre-wp' ),
  		'left'	=> esc_html__( 'Left', 'theatre-wp' ),
  		'center' => esc_html__( 'Center', 'theatre-wp' ),
  		'right'	=> esc_html__( 'Right', 'theatre-wp' )
  	),
    'default' => 'inherit'
  );
  $options[] = array(
  	'id'	=> 'header_image_position',
  	'type'	=> 'radio',
  	'tab'	=> 'header_image_tab',
  	'name'	=> esc_html__( 'Image Position', 'theatre-wp' ),
  	'choices' 	=> array(
      'inherit'	=> esc_html__( 'Inherit', 'theatre-wp' ),
  		'top'	=> esc_html__( 'Top', 'theatre-wp' ),
  		'center' => esc_html__( 'Center', 'theatre-wp' ),
  		'bottom'	=> esc_html__( 'Bottom', 'theatre-wp' )
  	),
      'default' => 'inherit'
  );
  $options[] = array(
  	'id'	=> 'header_image_att',
  	'type'	=> 'radio',
  	'tab'	=> 'header_image_tab',
  	'name'	=> esc_html__( 'Image Attachment', 'theatre-wp' ),
  	'choices' 	=> array(
      'inherit'	=> esc_html__( 'Inherit', 'theatre-wp' ),
      'scroll'	=> esc_html__( 'Scroll', 'theatre-wp' ),
      'fixed'	=> esc_html__( 'Fixed', 'theatre-wp' )
  	),
      'default' => 'inherit'
  );
  $options[] = array(
  	'id'	=> 'header_image_size',
  	'type'	=> 'radio',
  	'tab'	=> 'header_image_tab',
  	'name'	=> esc_html__( 'Image Size', 'theatre-wp' ),
  	'choices' 	=> array(
          'inherit'	=> esc_html__( 'Inherit', 'theatre-wp' ),
  		'auto'	=> esc_html__( 'Auto', 'theatre-wp' ),
  		'cover'	=> esc_html__( 'Cover', 'theatre-wp' )

  	),
      'default' => 'inherit'
  );


  if( ! empty( $revsliders ) ){
    $options[] = array(
    	'id'	=> 'header_slider_tab',
    	'type'	=> 'tab',
    	'name'	=> esc_html__( 'Header Slider', 'theatre-wp' )
    );
  	$options[] = array(
  		'id'	=> 'header_slider',
  		'type'	=> 'select',
  		'tab'	=> 'header_slider_tab',
  		'name'	=> esc_html__( 'Header Slider', 'theatre-wp' ),
  		'choices' 	=> $revsliders
  	);
  }


  return $options;

}

?>
