<?php

add_filter( 'xtender_ips_array', 'theatre_wp_ips_title', 20, 1 );

function theatre_wp_ips_title( $options ){

  $options[] = array(
  	'id'	=> 'title_tab',
  	'type'	=> 'tab',
  	'name'	=> esc_html__( 'Page Heading', 'theatre-wp' )
  );

  $options[] = array(
  	'id'	=> 'heading',
  	'type'	=> 'checkbox',
  	'tab'	=> 'title_tab',
  	'name'	=> esc_html__( 'Disable Page Title', 'theatre-wp' ),
  	'desc'	=> esc_html__( 'Check this to disable the page title.', 'theatre-wp' )
  );

  $options[] = array(
  	'id'	=> 'header_title',
  	'type'	=> 'text',
  	'tab'	=> 'title_tab',
  	'name'	=> esc_html__( 'Page Title', 'theatre-wp' ),
  	'desc'	=> esc_html__( 'Leave this empty to use the default title.', 'theatre-wp' )
  );

  $options[] = array(
  	'id'	=> 'header_subtitle',
  	'type'	=> 'text',
  	'tab'	=> 'title_tab',
  	'name'	=> esc_html__( 'Page Subtitle', 'theatre-wp' )
  );

  $options[] = array(
  	'id'	=> 'header_excerpt',
  	'type'	=> 'textarea',
  	'tab'	=> 'title_tab',
  	'name'	=> esc_html__( 'Page Description', 'theatre-wp' )
  );

  $options[] = array(
  	'id'	=> 'heading_alignment',
  	'type'	=> 'radio',
  	'tab'	=> 'title_tab',
  	'name'	=> esc_html__( 'Heading Aligment', 'theatre-wp' ),
  	'choices' 	=> array(
      'inherit'	=> esc_html__( 'Inherit', 'theatre-wp' ),
      'left'	  => esc_html__( 'Left', 'theatre-wp' ),
      'center'	=> esc_html__( 'Center', 'theatre-wp' ),
      'right'	  => esc_html__( 'Right', 'theatre-wp' )
  	),
      'default' => 'inherit'
  );

  $options[] = array(
  	'id'	=> 'heading_position',
  	'type'	=> 'radio',
  	'tab'	=> 'title_tab',
  	'name'	=> esc_html__( 'Heading Position', 'theatre-wp' ),
  	'choices' 	=> array(
      'inherit'	=> esc_html__( 'Inherit', 'theatre-wp' ),
      'top'	    => esc_html__( 'Top', 'theatre-wp' ),
      'middle'	=> esc_html__( 'Middle', 'theatre-wp' ),
      'bottom'	=> esc_html__( 'Bottom', 'theatre-wp' )
  	),
      'default' => 'inherit'
  );

  $options[] = array(
  	'id'	  => 'heading_alignment_text',
  	'type'	=> 'radio',
  	'tab'	  => 'title_tab',
  	'name'	=> esc_html__( 'Heading Text Aligment', 'theatre-wp' ),
  	'choices' 	=> array(
      'inherit'	=> esc_html__( 'Inherit', 'theatre-wp' ),
      'left'	  => esc_html__( 'Left', 'theatre-wp' ),
      'center'	=> esc_html__( 'Center', 'theatre-wp' ),
      'right'	  => esc_html__( 'Right', 'theatre-wp' )
  	),
      'default' => 'inherit'
  );


  $options[] = array(
  	'id'	=> 'color_page_heading',
  	'type'	=> 'color',
  	'tab'	=> 'title_tab',
  	'name'	=> esc_html__( 'Page Heading Color', 'theatre-wp' )
  );
  $options[] = array(
  	'id'	=> 'color_page_subtitle',
  	'type'	=> 'color',
  	'tab'	=> 'title_tab',
  	'name'	=> esc_html__( 'Page Subtitle Color', 'theatre-wp' )
  );
  $options[] = array(
  	'id'	=> 'color_page_heading_bg',
  	'type'	=> 'color',
  	'tab'	=> 'title_tab',
  	'name'	=> esc_html__( 'Page Heading Background Color', 'theatre-wp' )
  );

  $options[] = array(
  	'id'	  => 'header_scroller',
  	'type'	=> 'text',
  	'tab'	  => 'title_tab',
  	'name'	=> esc_html__( 'Scroll Down Text', 'theatre-wp' ),
  	'desc'	=> esc_html__( 'Leave this empty to disale the scroll down text for this section.', 'theatre-wp' )
  );
  $options[] = array(
  	'id'	  => 'sec_nav_title',
  	'type'	=> 'text',
  	'tab'	  => 'title_tab',
  	'name'	=> esc_html__( 'Section Title', 'theatre-wp' ),
  	'desc'	=> esc_html__( 'Leave this empty to disale the section navigator for the hero section.', 'theatre-wp' )
  );
  $options[] = array(
  	'id'	=> 'color_sec_nav',
  	'type'	=> 'color',
  	'tab'	=> 'title_tab',
  	'name'	=> esc_html__( 'Section Color', 'theatre-wp' )
  );


  return $options;

}

?>
