<?php

add_filter( 'theatre_wp_theme_mods', 'theatre_wp_mods_footer', 10, 1 );

function theatre_wp_mods_footer( $options ){

  $options[] = array(
  	'label'    	=> esc_html__( 'Footer', 'theatre-wp' ),
  	'type'		=> 'section',
  	'id'   		=> 'section_footer',
  	'priority'	=> 130
  );

  $options[] = array(
  	'label'    	=> esc_html__( 'Footer Logo', 'theatre-wp' ),
  	'type'		=> 'image',
  	'section'   => 'section_footer',
  	'id' 		=> 'footer_logo',
  	'desc'		=> esc_html__( 'This image will be used as the logo in the footer', 'theatre-wp' ),
    'transport' => 'refresh'
  );

  $options[] = array(
  	'label'    	=> esc_html__( 'Footer Retina Logo @2x', 'theatre-wp' ),
  	'type'		=> 'image',
  	'section'   => 'section_footer',
  	'id' 		=> 'footer_logo_retina',
  	'desc'		=> esc_html__( 'This image will be used as the retina logo in the footer', 'theatre-wp' ),
    'active_cb' => 'theatre_wp_ccb_has_footer_logo',
    'transport' => 'refresh'
  );

  $options[] = array(
  	'label'   => esc_html__( 'Back to top label', 'theatre-wp' ),
  	'type'		=> 'text',
  	'section' => 'section_footer',
  	'id' 		  => 'footer_top',
    'default' => esc_html__( 'Back to top of the page', 'theatre-wp' ),
    'desc'		=> esc_html__( 'Leave empty to disable this button.', 'theatre-wp' ),
    'active_cb' => 'theatre_wp_ccb_has_footer_menu'
  );

  return $options;

}

function theatre_wp_ccb_has_footer_logo( $control  ){
  $value = $control->manager->get_setting('footer_logo')->value();
  return empty( $value ) ? false : true;
}

function theatre_wp_ccb_has_footer_menu( $control  ){
  return intval( $control->manager->get_setting('nav_menu_locations[footer_navigation]')->value() ) === 0 ? false : true;
}

?>
