<?php

add_filter( 'theatre_wp_theme_mods', 'theatre_wp_mods_header', 10, 1 );

function theatre_wp_mods_header( $options ){

  $revsliders = TheatreWpHelpers::get_sliders_array( esc_html__( '- Select Global Header -', 'theatre-wp' ) );

  $options[] = array(
  	'label'    	=> esc_html__( 'Header', 'theatre-wp' ),
  	'type'		=> 'panel',
  	'id'   		=> 'panel_header',
  	'priority'	=> 25
  );

  $options[] = array(
    'label'     => esc_html__( 'Header Height', 'theatre-wp' ),
    'type'		=> 'slider',
    'id'   		=> 'header_height',
    'section'	=> 'header_image',
    'default'	=> 540,
    'desc'		=> esc_html__( 'Choose your minimum header height', 'theatre-wp' ),
    'input_attr'  => array( 'min' => 0, 'max' => 1080, 'step' => 10, 'suffix' => 'px' )
  );
  $options[] = array(
  	'label'     => esc_html__( 'Image Repeat', 'theatre-wp' ),
  	'type'		=> 'radio',
  	'id'   		=> 'header_image_repeat',
  	'section'	=> 'header_image',
  	'default'	=> 'no-repeat',
  	'choices'	=> array(
  		'no-repeat' => esc_html__( 'No Repeat', 'theatre-wp' ),
  		'repeat' 	=> esc_html__( 'Tile', 'theatre-wp' ),
  		'repeat-x' 	=> esc_html__( 'Tile Horizontally', 'theatre-wp' ),
  		'repeat-y' 	=> esc_html__( 'Tile Vertically', 'theatre-wp' ),
  	),
  	'active_cb'	=> 'theatre_wp_ccb_has_header_image'
  );

  $options[] = array(
  	'label'     => esc_html__( 'Image Alignment', 'theatre-wp' ),
  	'type'		=> 'radio',
  	'id'   		=> 'header_image_alignment',
  	'section'	=> 'header_image',
  	'default'	=> 'center',
  	'choices'	=> array(
  		'left' => esc_html__( 'Left', 'theatre-wp' ),
  		'center' 	=> esc_html__( 'Center', 'theatre-wp' ),
  		'right' 	=> esc_html__( 'Right', 'theatre-wp' ),
  	),
  	'active_cb'	=> 'theatre_wp_ccb_has_header_image'
  );

  $options[] = array(
  	'label'     => esc_html__( 'Image Position', 'theatre-wp' ),
  	'type'		=> 'radio',
  	'id'   		=> 'header_image_position',
  	'section'	=> 'header_image',
  	'default'	=> 'top',
  	'choices'	=> array(
  		'top' => esc_html__( 'Top', 'theatre-wp' ),
  		'center' 	=> esc_html__( 'Center', 'theatre-wp' ),
  		'bottom' 	=> esc_html__( 'Bottom', 'theatre-wp' ),
  	),
  	'active_cb'	=> 'theatre_wp_ccb_has_header_image'
  );

  $options[] = array(
  	'label'     => esc_html__( 'Image Attachment', 'theatre-wp' ),
  	'type'		=> 'radio',
  	'id'   		=> 'header_image_att',
  	'section'	=> 'header_image',
  	'default'	=> 'fixed',
  	'choices'	=> array(
  		'scroll' => esc_html__( 'Scroll', 'theatre-wp' ),
  		'fixed' => esc_html__( 'Fixed', 'theatre-wp' )
  	),
  	'active_cb'	=> 'theatre_wp_ccb_has_header_image'
  );

  $options[] = array(
  	'label'     => esc_html__( 'Image Size', 'theatre-wp' ),
  	'type'		=> 'radio',
  	'id'   		=> 'header_image_size',
  	'section'	=> 'header_image',
  	'default'	=> 'cover',
  	'choices'	=> array(
  		'auto' => esc_html__( 'Auto', 'theatre-wp' ),
  		'cover' 	=> esc_html__( 'Cover', 'theatre-wp' )
  	),
  	'active_cb'	=> 'theatre_wp_ccb_has_header_image'
  );

  $options[] = array(
  	'label'    	=> esc_html__( 'Header Slider', 'theatre-wp' ),
  	'type'		=> 'section',
  	'id'   		=> 'header_slider_section',
  	'panel'		=> 'panel_header',
  	'desc' 		=> esc_html__( 'When adding a header slider, you have to keep in mind that the header height will increase to match the height of the slider. Minimum slider height should be 370px; also, please note that this is a global setting.', 'theatre-wp' ),
  	'priority'	=> 50,
  	'transport' => 'refresh'
  );
  $options[] = array(
  	'label'    	=> esc_html__( 'Header Slider', 'theatre-wp' ),
  	'type'		=> 'select',
  	'section'   => 'header_slider_section',
  	'id' 		=> 'header_slider',
  	'choices'  	=> $revsliders,
  	'active_cb' => 'theatre_wp_ccb_has_rev_slider',
    'transport' => 'refresh'
  );

  $options[] = array(
  	'label'    	=> esc_html__( 'Page Heading', 'theatre-wp' ),
  	'type'		=> 'section',
  	'id'   		=> 'header_layout_section',
  	'panel'		=> 'panel_header',
  	'priority'	=> 50,
  	'transport' => 'refresh'
  );

  $options[] = array(
    'label'     => esc_html__( 'Heading Top Margin', 'theatre-wp' ),
    'type'		=> 'slider',
    'id'   		=> 'header_heading_top',
    'section'	=> 'header_layout_section',
    'default'	=> 50,
    'desc'		=> esc_html__( 'Choose your heading top margin', 'theatre-wp' ),
    'input_attr'=> array( 'min' => 20, 'max' => 200, 'step' => 1, 'suffix' => 'px' ),
  );
  $options[] = array(
    'label'     => esc_html__( 'Heading Bottom Margin', 'theatre-wp' ),
    'type'		=> 'slider',
    'id'   		=> 'header_heading_bot',
    'section'	=> 'header_layout_section',
    'default'	=> 50,
    'desc'		=> esc_html__( 'Choose your heading bottom margin', 'theatre-wp' ),
    'input_attr'=> array( 'min' => 20, 'max' => 200, 'step' => 1, 'suffix' => 'px' ),
  );

  $options[] = array(
  	'label'     => esc_html__( 'Heading Alignment', 'theatre-wp' ),
  	'type'		=> 'radio',
  	'id'   		=> 'heading_alignment',
  	'section'	=> 'header_layout_section',
  	'default'	=> 'left',
  	'choices'	=> array(
  		'left'    => esc_html__( 'Left', 'theatre-wp' ),
      'center'  => esc_html__( 'Center', 'theatre-wp' ),
  		'right' 	=> esc_html__( 'Right', 'theatre-wp' )
  	)
  );
  $options[] = array(
  	'label'   => esc_html__( 'Heading Position', 'theatre-wp' ),
  	'type'		=> 'radio',
  	'id'   		=> 'heading_position',
  	'section'	=> 'header_layout_section',
  	'default'	=> 'middle',
  	'choices'	=> array(
      'top'  => esc_html__( 'Top', 'theatre-wp' ),
  		'middle'  => esc_html__( 'Middle', 'theatre-wp' ),
  		'bottom' 	=> esc_html__( 'Bottom', 'theatre-wp' )
  	)
  );
  $options[] = array(
  	'label'     => esc_html__( 'Heading Text Alignment', 'theatre-wp' ),
  	'type'		=> 'radio',
  	'id'   		=> 'heading_alignment_text',
  	'section'	=> 'header_layout_section',
  	'default'	=> 'left',
  	'choices'	=> array(
  		'left' => esc_html__( 'Left', 'theatre-wp' ),
      'center' => esc_html__( 'Center', 'theatre-wp' ),
  		'right' 	=> esc_html__( 'Right', 'theatre-wp' )
  	)
  );

  $options[] = array(
  	'label'    	=> esc_html__( 'Toolbar', 'theatre-wp' ),
  	'type'		=> 'section',
  	'id'   		=> 'header_toolbar_section',
  	'panel'		=> 'panel_header',
  	'priority'	=> 60
  );

  $options[] = array(
  	'label'    	=> esc_html__( 'Toolbar Text', 'theatre-wp' ),
  	'type'		  => 'text',
  	'section'   => 'header_toolbar_section',
  	'id' 		    => 'toolbar',
    'active_cb' => 'theatre_wp_ccb_wpml_not',
    'transport' => 'refresh'
  );

  $options[] = array(
  	'label'    	=> esc_html__( 'Disable WPML Language Selector', 'theatre-wp' ),
  	'type'		=> 'checkbox',
  	'section'	=> 'header_toolbar_section',
  	'id' 		  => 'wpml',
  	'default'	=> false,
  	'desc'		=> esc_html__( 'Check this in order to disable the WPML language selector from the toolbar', 'theatre-wp'),
  	'active_cb' => 'theatre_wp_ccb_wpml',
    'transport' => 'refresh'
  );

  return $options;

}

function theatre_wp_ccb_wpml_not( $control ){
  return ! has_action('icl_language_selector') || wp_validate_boolean( $control->manager->get_setting('wpml')->value() ) ? true : false;
}

function theatre_wp_ccb_wpml(){
  return has_action('icl_language_selector') ? true : false;
}

function theatre_wp_ccb_has_header_image( $control  ){
  $value = $control->manager->get_setting('header_image')->value();
  return $value === 'remove-header' || empty( $value ) ? false : true;
}

function theatre_wp_ccb_has_rev_slider(){
  return ! function_exists( 'putRevSlider' ) ? false : true;
}

?>
