<?php

add_filter( 'theatre_wp_theme_mods', 'theatre_wp_mods_navigation', 10, 1 );

function theatre_wp_mods_navigation( $options ){

  $options['navigation_alignment'] = array(
    'label'    	=> esc_html__( 'Navigation Position', 'theatre-wp' ),
    'type'		=> 'radio',
    'section'   => 'nav',
    'id' 		=> 'navigation_alignment',
    'default'	=> 'right',
    'choices'	=> array(
      'left'	=> esc_html__( 'Left Aligned', 'theatre-wp' ),
      'right'	=> esc_html__( 'Right Aligned', 'theatre-wp' )
    ),
    'desc'		=> esc_html__( 'Choose your navigation alignment', 'theatre-wp' ),
  );
  $options['navigation_margin_top'] = array(
    'label'     => esc_html__( 'Navigation Top Margin', 'theatre-wp' ),
    'type'		=> 'slider',
    'id'   		=> 'navigation_margin_top',
    'section'	=> 'nav',
    'default'	=> 20,
    'desc'		=> esc_html__( 'Choose your exact menu top margin', 'theatre-wp' ),
    'input_attr'=> array( 'min' => 0, 'max' => 150, 'step' => 1, 'suffix' => 'px' )
  );
  $options['navigation_margin_bot'] = array(
    'label'     => esc_html__( 'Navigation Bottom Margin', 'theatre-wp' ),
    'type'		=> 'slider',
    'id'   		=> 'navigation_margin_bot',
    'section'	=> 'nav',
    'default'	=> 20,
    'desc'		=> esc_html__( 'Choose your exact menu top margin', 'theatre-wp' ),
    'input_attr'=> array( 'min' => 0, 'max' => 150, 'step' => 1, 'suffix' => 'px' )
  );
  $options['navigation_sticky'] = array(
    'label'    	=> esc_html__( 'Disable Sticky Menu', 'theatre-wp' ),
    'type'		=> 'checkbox',
    'section'   => 'nav',
    'id' 		=> 'navigation_sticky'
  );
  $options['navigation_floating'] = array(
    'label'    	=> esc_html__( 'Float Navigation', 'theatre-wp' ),
    'type'		=> 'checkbox',
    'section'   => 'nav',
    'id' 		=> 'navigation_floating'
  );

  return $options;
}

?>
