<?php

add_filter( 'theatre_wp_theme_mods', 'theatre_wp_mods_typography', 20, 1 );

function theatre_wp_mods_typography( $options ){

  $options[] = array(
  	'label'    	=> esc_html__( 'Typography', 'theatre-wp' ),
  	'type'		=> 'panel',
  	'id'   		=> 'panel_typo',
  	'priority'	=> 30
  );
  $options[] = array(
  	'label'    	=> esc_html__('Global Typography','theatre-wp'),
  	'type'		=> 'section',
  	'id'   		=> 'typo_global',
  	'panel'		=> 'panel_typo'
  );
  $options['font'] = array(
  	'label'       => esc_html__( 'Main Font Family', 'theatre-wp' ),
  	'type'		    => 'typo',
  	'id'   		    => 'font',
  	'section'	    => 'typo_global',
  	'default'	    => array( 'Poppins', '300', 14 ),
    'input_attr'   => array( 'min' => 10, 'max' => 24, 'step' => 1, 'suffix' => 'px' ),
  	'desc'		    => esc_html__( 'This is the general font of your site. It is used for general text, headings, buttons and other text elements.', 'theatre-wp' ),
  	'transport'	  => 'refresh'
  );
  $options[] = array(
  	'label'     => esc_html__( 'Font Subset', 'theatre-wp' ),
  	'type'		=> 'select',
  	'id'   		=> 'font_subset',
  	'section'	=> 'typo_global',
  	'default'	=> 0,
  	'choices'	=> array(
  		0 => 'No Subset - Standard Latin',
  		1 => 'Cyrillic Extended (cyrillic-ext)',
  		2 => 'Greek Extended (greek-ext)',
  		3 => 'Greek (greek)',
  		4 => 'Vietnamese (vietnamese)' ,
  		5 => 'Latin Extended (latin-ext)' ,
  		6 => 'Cyrillic (cyrillic)'),
  	'desc'		=> esc_html__( 'Make sure the fonts you use on the website support these special characters.', 'theatre-wp' )
  );
  $options[] = array(
  	'label'    	=> esc_html__( 'Web Font Loader', 'theatre-wp' ),
  	'type'		=> 'checkbox',
  	'section'	=> 'typo_global',
  	'id' 		=> 'font_loader',
  	'desc'		=> esc_html__( 'Check this to activate Web Font Loader. This will increase your page speed, but the fonts will be loaded after the other elements.', 'theatre-wp')
  );
  $options[] = array(
  	'label'    	=> esc_html__( 'Use Soft Bold', 'theatre-wp' ),
  	'type'		=> 'checkbox',
  	'section'	=> 'typo_global',
  	'id' 		=> 'font_strong',
  	'desc'		=> esc_html__( 'Check this use normal font weight for the <strong> tag.', 'theatre-wp')
  );
  $options[] = array(
  	'label'    	=> esc_html__('Main Menu','theatre-wp'),
  	'type'		=> 'section',
  	'id'   		=> 'menu_section',
  	'panel'		=> 'panel_typo'
  );
  $options['font_menu'] = array(
  	'label'       => esc_html__( 'Main Menu Font', 'theatre-wp' ),
  	'type'		    => 'typo',
  	'id'   		    => 'font_menu',
  	'section'	    => 'menu_section',
  	'default'	    => array( 'Poppins', '500', 12, 'uppercase', 8 ),
    'input_attr'   => array( 'min' => 10, 'max' => 18, 'step' => 1, 'suffix' => 'px' ),
  	'desc'		    => esc_html__( 'This is the general font of your navigation.', 'theatre-wp' ),
  	'transport'	  => 'refresh'
  );
  $options[] = array(
  	'label'    	=> esc_html__('H1 Heading','theatre-wp'),
  	'type'		=> 'section',
  	'id'   		=> 'h1_section',
  	'panel'		=> 'panel_typo'
  );
  $options['font_h1'] = array(
  	'label'       => esc_html__( 'H1 Headings Font', 'theatre-wp' ),
  	'type'		    => 'typo',
  	'id'   		    => 'font_h1',
  	'section'	    => 'h1_section',
  	'default'	    => array( 'Playfair Display', 'regular', 66, 'normal', -5 ),
    'input_attr'   => array( 'min' => 30, 'max' => 72, 'step' => 1, 'suffix' => 'px' ),
  	'desc'		    => esc_html__( 'This is the general font of your H1 headings.', 'theatre-wp' ),
  	'transport'	  => 'refresh'
  );

  $options[] = array(
  	'label'    	=> esc_html__('H2 Heading','theatre-wp'),
  	'type'		=> 'section',
  	'id'   		=> 'h2_section',
  	'panel'		=> 'panel_typo'
  );
  $options['font_h2'] = array(
  	'label'       => esc_html__( 'H2 Headings Font', 'theatre-wp' ),
  	'type'		    => 'typo',
  	'id'   		    => 'font_h2',
  	'section'	    => 'h2_section',
  	'default'	    => array( 'Playfair Display', 'regular', 52, 'normal', -4 ),
    'input_attr'   => array( 'min' => 20, 'max' => 62, 'step' => 1, 'suffix' => 'px' ),
  	'desc'		    => esc_html__( 'This is the general font of your H2 headings.', 'theatre-wp' ),
  	'transport'	  => 'refresh'
  );

  $options[] = array(
  	'label'    	=> esc_html__('H3 Heading','theatre-wp'),
  	'type'		=> 'section',
  	'id'   		=> 'h3_section',
  	'panel'		=> 'panel_typo'
  );
  $options['font_h3'] = array(
  	'label'       => esc_html__( 'H3 Headings Font', 'theatre-wp' ),
  	'type'		    => 'typo',
  	'id'   		    => 'font_h3',
  	'section'	    => 'h3_section',
  	'default'	    => array( 'Poppins', '300', 28, 'uppercase', 8 ),
    'input_attr'   => array( 'min' => 18, 'max' => 42, 'step' => 1, 'suffix' => 'px' ),
  	'desc'		    => esc_html__( 'This is the general font of your H3 headings.', 'theatre-wp' ),
  	'transport'	  => 'refresh'
  );
  $options[] = array(
  	'label'    	=> esc_html__('H4 Heading','theatre-wp'),
  	'type'		=> 'section',
  	'id'   		=> 'h4_section',
  	'panel'		=> 'panel_typo'
  );
  $options['font_h4'] = array(
  	'label'       => esc_html__( 'H4 Headings Font', 'theatre-wp' ),
  	'type'		    => 'typo',
  	'id'   		    => 'font_h4',
  	'section'	    => 'h4_section',
  	'default'	    => array( 'Poppins', '300', 20, 'uppercase', 15 ),
    'input_attr'   => array( 'min' => 12, 'max' => 24, 'step' => 1, 'suffix' => 'px' ),
  	'desc'		    => esc_html__( 'This is the general font of your H4 headings.', 'theatre-wp' ),
  	'transport'	  => 'refresh'
  );
  $options[] = array(
  	'label'    	=> esc_html__('H5 Heading','theatre-wp'),
  	'type'		=> 'section',
  	'id'   		=> 'h5_section',
  	'panel'		=> 'panel_typo'
  );
  $options['font_h5'] = array(
  	'label'       => esc_html__( 'H5 Headings Font', 'theatre-wp' ),
  	'type'		    => 'typo',
  	'id'   		    => 'font_h5',
  	'section'	    => 'h5_section',
  	'default'	    => array( 'Playfair Display', 'regular', 20, 'capitalize', 0 ),
    'input_attr'   => array( 'min' => 12, 'max' => 24, 'step' => 1, 'suffix' => 'px' ),
  	'desc'		    => esc_html__( 'This is the general font of your H5 headings.', 'theatre-wp' ),
  	'transport'	  => 'refresh'
  );
  $options[] = array(
  	'label'    	=> esc_html__('H6 Heading','theatre-wp'),
  	'type'		=> 'section',
  	'id'   		=> 'h6_section',
  	'panel'		=> 'panel_typo'
  );
  $options['font_h6'] = array(
  	'label'       => esc_html__( 'H6 Headings Font', 'theatre-wp' ),
  	'type'		    => 'typo',
  	'id'   		    => 'font_h6',
  	'section'	    => 'h6_section',
  	'default'	    => array( 'Playfair Display', 'regular', 16, 'normal', 0 ),
    'input_attr'   => array( 'min' => 10, 'max' => 18, 'step' => 1, 'suffix' => 'px' ),
  	'desc'		    => esc_html__( 'This is the general font of your H6 headings.', 'theatre-wp' ),
  	'transport'	  => 'refresh'
  );
  $options[] = array(
  	'label'    	=> esc_html__('Blockquote','theatre-wp'),
  	'type'		=> 'section',
  	'id'   		=> 'blockquote_section',
  	'panel'		=> 'panel_typo'
  );
  $options['font_blockquote'] = array(
  	'label'       => esc_html__( 'Blockquote Font', 'theatre-wp' ),
  	'type'		    => 'typo',
  	'id'   		    => 'font_blockquote',
  	'section'	    => 'blockquote_section',
  	'default'	    => array( 'Old Standard TT', 'italic', 24, 'normal', 0 ),
    'input_attr'  => array( 'min' => 14, 'max' => 32, 'step' => 1, 'suffix' => 'px' ),
  	'desc'		    => esc_html__( 'This is the general font of your blockquotes.', 'theatre-wp' ),
  	'transport'	  => 'refresh'
  );

  return $options;

}

?>
